.namespace Settings

NBCURSORSTEPS = 10 -- Nombre de divisions pour le contrôle des options
BARREPOSX = 525 -- Coordonnées en x de la première position du curseur
BARRESIZE = 308 -- Taille en pixel de la zone de déplacement du curseur

g_barreposx = {
	sound = 5,
	music = 5,
	gamma = 5,
}
function OnEnable()
	-------Localization-------
	Settings_title.Text = GlobalFunctions.GetText("menu_settings")
	Settings_sound_txt.Text = GlobalFunctions.GetText("menu_settings_sound")
	Settings_music_txt.Text = GlobalFunctions.GetText("menu_settings_music")
	Settings_gamma_txt.Text = GlobalFunctions.GetText("menu_settings_gamma")
	Settings_windowed_txt.Text = GlobalFunctions.GetText("menu_settings_windowed")
	Settings_cursor_txt.Text = GlobalFunctions.GetText("menu_settings_cursor")
	--------------------------
	
	-- Positionne le curseur de la musique 
	g_barreposx.music = ProfilConfig.Get("VolumeMusic") / NBCURSORSTEPS
--	Settings_musicprogress.Position_X = BARREPOSX + (BARRESIZE/NBCURSORSTEPS) * g_barreposx["music"]
	Settings_musicprogress.SetFrame(g_barreposx["music"])
	
	-- Positionne le curseur du son
	g_barreposx.sound = ProfilConfig.Get("VolumeSound") / NBCURSORSTEPS
--	Settings_soundprogress.Position_X = BARREPOSX + (BARRESIZE/NBCURSORSTEPS) * g_barreposx["sound"]
	Settings_soundprogress.SetFrame(g_barreposx["sound"])
	-- Position le curseur du gamma
	g_barreposx.gamma = (ProfilConfig.Get("GammaLevel2") - 100) * (2 / NBCURSORSTEPS)
--	Settings_gammaprogress.Position_X = BARREPOSX + (BARRESIZE/NBCURSORSTEPS) * g_barreposx["gamma"]
	Settings_gammaprogress.SetFrame(g_barreposx["gamma"])
	-- Coche ou non la case du mode fenêtre
	--Menu_options_fenetrecoche.Enabled = not ProfilConfig.Get("Fullscreen")
		Settings_windowed_chk.Flags_Visible = not ProfilConfig.Get("Fullscreen")
		--Settings_cursor_chk = ProfilConfig.Get("HardwareCursor")
	
end